### Method

# Gio DBusInterfaceSkeleton export

since: 2.30

#### Declaration [src]

    gboolean
    g_dbus_interface_skeleton_export (
      GDBusInterfaceSkeleton* interface_,
      GDBusConnection* connection,
      const gchar* object_path,
      GError** error
    )

#### Description [src]

Exports `interface_` at `object_path` on `connection`.

This can be called multiple times to export the same `interface_` onto multiple connections however the `object_path` provided must be the same for all connections.

Use `g_dbus_interface_skeleton_unexport()` to unexport the object.

Available since: 2.30

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection` to export `interface_` on.

  The data is owned by the caller of the method.

`object_path`

  Type: `const gchar*`

  The path to export the interface at.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the interface was exported on `connection`, otherwise `FALSE` with `error` set.